## ros-melodic-bondcpp 1.8.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(bondcpp)

find_package(Boost REQUIRED)
find_package(catkin REQUIRED bond cmake_modules roscpp smclib)
find_package(UUID REQUIRED)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${UUID_INCLUDE_DIRS}
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS bond roscpp smclib
  DEPENDS Boost UUID
)

add_library(${PROJECT_NAME}
  src/timeout.cpp
  src/bond.cpp
  src/BondSM_sm.cpp
)
target_link_libraries(${PROJECT_NAME} ${UUID_LIBRARIES} ${catkin_LIBRARIES} ${BOOST_LIBRARIES})

if(catkin_EXPORTED_TARGETS)
  add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
endif()

# install stuff
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-bondcpp (1.8.5-1bionic) bionic; urgency=high

  * Bump CMake minimum version to use CMP0048 (#58 <https://github.com/ros/bond_core/issues/58>)
  * Contributors: Michael Carroll

 -- Michael Carroll <michael@openrobotics.org>  Thu, 14 May 2020 05:00:00 -0000

ros-melodic-bondcpp (1.8.4-1bionic) bionic; urgency=high

  * Solved static linking problems with bondcpp (#44 <https://github.com/ros/bond_core/issues/44>)
  * Add BONDCPP_DECL for Bond class (#2 <https://github.com/ros/bond_core/issues/2>) (#45 <https://github.com/ros/bond_core/issues/45>)
  * Make Michael Carroll the maintainer (#40 <https://github.com/ros/bond_core/issues/40>)
  * Contributors: James Xu, Mikael Arguedas, ivanpauno

 -- Michael Carroll <michael@openrobotics.org>  Mon, 24 Feb 2020 06:00:00 -0000

ros-melodic-bondcpp (1.8.3-1bionic) bionic; urgency=high

  * Argument to Boost Milliseconds must be integral in Boost >= 1.67 (#37 <https://github.com/ros/bond_core/issues/37>)
    * Argument to Boost milliseconds  must be integral
    * Fix style
    * More consistent type
  * Contributors: Paul-Edouard Sarlin

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 17 Aug 2018 05:00:00 -0000

ros-melodic-bondcpp (1.8.2-1bionic) bionic; urgency=high

  * uuid dependency fixup (#36 <https://github.com/ros/bond_core/issues/36>)
    * dont export uuid dependency as this isnt anywhere in the public api
    * fixx uuid dependency in test_bond as well
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 27 Apr 2018 05:00:00 -0000

ros-melodic-bondcpp (1.8.1-1bionic) bionic; urgency=high

  * fix package.xml to comply with schema (#30 <https://github.com/ros/bond_core/issues/30>)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 27 Oct 2017 05:00:00 -0000

ros-melodic-bondcpp (1.8.0-1bionic) bionic; urgency=high

  * Use SteadyTime and SteadyTimer for bond timeouts (#18 <https://github.com/ros/bond_core/issues/18>)
  * C++ style (#28 <https://github.com/ros/bond_core/issues/28>)
  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * remove trailing whitespaces (#26 <https://github.com/ros/bond_core/issues/26>)
  * Contributors: Felix Ruess, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 27 Jul 2017 05:00:00 -0000

ros-melodic-bondcpp (1.7.19-1bionic) bionic; urgency=high

  * fix unused var warning
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-melodic-bondcpp (1.7.18-1bionic) bionic; urgency=high

  * fix -isystem /usr/include build breakage in gcc6
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 24 Oct 2016 05:00:00 -0000

ros-melodic-bondcpp (1.7.17-1bionic) bionic; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 15 Mar 2016 05:00:00 -0000

ros-melodic-bondcpp (1.7.16-1bionic) bionic; urgency=high

  * Fix depedency version
  * Contributors: Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 30 Oct 2014 05:00:00 -0000

ros-melodic-bondcpp (1.7.15-1bionic) bionic; urgency=high

  * Added version dependency.
  * Removed redundant include_directories
  * Added cmake_modules in alphabetical order
  * Use FindUUID.cmake from cmake-modules to find the UUID libraries #8 <https://github.com/ros/bond_core/pull/8>
  * Contributors: Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 28 Oct 2014 05:00:00 -0000

ros-melodic-bondcpp (1.7.14-1bionic) bionic; urgency=high

  * Update maintainer field
  * Contributors: Esteve Fernandez, Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 08 May 2014 05:00:00 -0000

ros-melodic-bondcpp (1.7.13-1bionic) bionic; urgency=high

  * Use c++ style reinterpret_cast rather than c style cast
  * use rpc for uuid on windows
  * add missing archive/library/runtime destinations for library
  * Contributors: David Hodo, Dirk Thomas, William Woodall

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 21 Aug 2013 05:00:00 -0000

ros-melodic-bondcpp (1.7.12-1bionic) bionic; urgency=high

  * fix dependency on exported targets if the variable is empty
  * use EXPORTED_TARGETS variable instead of explicit target names
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 06 Jun 2013 05:00:00 -0000

ros-melodic-bondcpp (1.7.11-1bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 13 Mar 2013 05:00:00 -0000

ros-melodic-bondcpp (1.7.10-1bionic) bionic; urgency=high

  * add missing link library uuid #6 <https://github.com/ros/bond_core/issues/6>
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 13 Jan 2013 06:00:00 -0000

ros-melodic-bondcpp (1.7.9-1bionic) bionic; urgency=high

  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 27 Dec 2012 06:00:00 -0000

ros-melodic-bondcpp (1.7.8-1bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 13 Dec 2012 06:00:00 -0000

ros-melodic-bondcpp (1.7.7-1bionic) bionic; urgency=high

  * Added missing link against catkin_LIBRARIES
  * Updated url tags in package.xml's #1 <https://github.com/ros/bond_core/pull/1>
  * updated catkin_package(DEPENDS)
  * Contributors: Dirk Thomas, William Woodall

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 06 Dec 2012 06:00:00 -0000

ros-melodic-bondcpp (1.7.6-1bionic) bionic; urgency=high

  * fix catkin function order
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 30 Oct 2012 05:00:00 -0000

ros-melodic-bondcpp (1.7.5-1bionic) bionic; urgency=high

  * clean up package.xml files
  * add missing target dependency to gencpp
  * Contributors: Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sat, 27 Oct 2012 05:00:00 -0000


=== debian/control ===
Source: ros-melodic-bondcpp
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-bond, ros-melodic-catkin, ros-melodic-cmake-modules (>= 0.3.2), ros-melodic-roscpp, ros-melodic-smclib, uuid-dev
Homepage: http://www.ros.org/wiki/bondcpp
Standards-Version: 3.9.2

Package: ros-melodic-bondcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-bond, ros-melodic-roscpp, ros-melodic-smclib, uuid-dev
Description: C++ implementation of bond, a mechanism for checking when another process has terminated.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-bondcpp//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
